petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFieldSplitSchurGetS

extract the MatSchurComplement object used by this PC in case it needs to be configured separately

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSchurGetS(PC pc,Mat *S)

Not collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

S -the Schur complement matrix Many br

### Notes

This matrix should not be destroyed using MatDestroy(); rather, use PCFieldSplitSchurRestoreS(). Many br

Many br

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSchurPreType, PCFieldSplitSetSchurPre(), MatSchurComplement, PCFieldSplitSchurRestoreS()

Level:advanced
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages